#gameWindow {
    display: none;
    position: fixed;
    top: 0;
    transition: opacity 5s;
    opacity: 1;
    touch-action: none;
}

#gameWindow.startup {
    opacity: 0;
}

#HUD {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 10;
    font-size: 16px;
    font-family: 'Open Sans', sans-serif;
    transition: opacity 5s;
    opacity: 1;
    touch-action: none;
    white-space: nowrap;
    cursor: grab;
}

#HUD.startup {
    opacity: 0;
}

#HUD #planets {
    position: absolute;
    bottom: 0;
    width: 100%;
    display: flex;
    padding: 1vw;
    z-index: 90;
}

#HUD button {
    float: left;
    color: goldenrod;
    border: 2px solid darkslategray;
    border-radius: 50%;
    width: 3vw;
    height: 3vw;
    margin: 0 0.5vw;
    font-size: 2vw;
    line-height: 2vw;
    background-color: black;
    padding: 0;
}

#HUD button.disabled {
    color: gray;
    border-color: gray;
}

#HUD #planets button {
    flex-grow: 1;
    border-radius: 0.5em;
    margin: 0.3vw;
    width: auto;
    height: auto;
}

#HUD #currentDate div {
    float: left;
    width: 20vw;
    text-align: center;
}

#HUD #currentDate #currentMonth, #HUD #currentDate #currentTime {
    position: absolute;
    left: 1vw;
    width: 36%;
    font-size: 2vw;
    line-height: 4vw;
}

#HUD #currentDate #currentMonth {
    top: 6vw;
}

#HUD #currentDate #currentTime {
    top: 2vw;
}

#HUD #functions {
    position: absolute;
    top: 10vw;
    left: 1vw;
    width: 4vw;
}

#HUD #functions button, #HUD #currentDate button, #HUD #solarSystemScale button {
    margin: 0.5vw;
    padding: 0;
    line-height: 1vw;
}

#HUD #keyOverlay {
    display: none;
    position: absolute;
    width: 50%;
    left: 25%;
    top: 65%;
    padding: 1vw;
    font-size: 2vw;
    text-align: center;
    background-color: rgba(0, 0, 0, 0.6);
    border-radius: 2vw;
}

#HUD #infoBox {
    display: none;
    position: absolute;
    top: 16%;
    right: 0;
    width: 30vh;
    padding: 1%;
    font-size: 2vh;
    line-height: 1.2em;
    text-align: right;
    background-color: rgba(0, 0, 0, 0.6);
    border-radius: 2vw;
}

#HUD #infoBox h1 {
    font-size: 5vh;
}

#HUD #infoBox b {
    line-height: 1.6em;
}

#HUD #longitude, #HUD #latitude, #HUD #timeZones {
    display: none;
    position: absolute;
    font-size: 0.9em;
    line-height: 1.3em;
    background-color: rgba(0, 0, 0, 0.6);
    border: 1px solid white;
}

#HUD #longitude {
    top: 80vh;
    left: 50%;
    width: 20vw;
    margin-left: -10vw;
    font-size: 2vw;
}

#HUD #latitude {
    top: 50vh;
    right: 65vw;
    width: 10vw;
    height: 6.2vw;
    padding-left: 1vw;
    margin-top: -3.1vw;
    font-size: 2vw;
    line-height: 3vw;
}

#HUD #timeZones {
    top: 10vh;
    left: 50%;
    width: 20vw;
    margin-left: -10vw;
    font-size: 2vw;
}

#HUD #longitude div, #HUD #latitude div, #HUD #timeZones div {
    display: block;
    float: left;
}

#HUD #longitude div {
    width: 50%;
    text-align: right;
}

#HUD #latitude div {
    width: 100%;
    text-align: left;
}

#HUD #longitude #long_value {
    width: 50%;
    text-align: left;
    padding-left: 2%;
    font-weight: bold;
}

#HUD #latitude #lat_value {
    width: 100%;
    text-align: left;
    font-weight: bold;
}

#HUD #timeZones #tz_label {
    width: 65%;
    text-align: right;
}

#HUD #timeZones #tz_value {
    width: 35%;
    text-align: left;
    padding-left: 2%;
    font-weight: bold;
}

#HUD #longitude #long_pointer {
    position: absolute;
    z-index: -1;
    left: 10vw;
    bottom: 100%;
    width: 4px;
    height: 28vh;
    background-color: white;
    border: 1px solid black;
    margin-left: -2px;
}

#HUD #latitude #lat_pointer {
    position: absolute;
    z-index: -1;
    left: 100%;
    top: 50%;
    width: 14vw;
    height: 4px;
    background-color: white;
    border: 1px solid black;
    margin-top: -2px;
}

#HUD #timeZones #tz_pointer {
    position: absolute;
    z-index: -1;
    left: 10vw;
    top: 100%;
    width: 4px;
    height: 10vh;
    background-color: white;
    border: 1px solid black;
    margin-left: -2px;
}

#HUD #solarSystemScale {
    position: absolute;
    top: 2vw;
    right: 2vw;
    font-size: 2vw;
    line-height: 4vw;
    width: 25vw;
}

#HUD #solarSystemScale button {
    float: right;
}

#HUD #solarSystemScale div {
    float: left;
}

#HUD #solarSystemScale #sss_value {
    font-weight: bold;
    padding-left: 2%;
}

#HUD #markers {
    display: block;
    position: absolute;
    font-size: 2vw;
    text-align: center;
    z-index: -1;
}

#HUD #markers div {
    float: left;
    width: 10vw;
    height: 3vw;
    background-color: rgba(0, 0, 0, 0.4);
}

#HUD #markers #marker_earth, #HUD #markers #marker_jupiter, #HUD #markers #marker_saturn, #HUD #markers #marker_mars, #HUD #markers #marker_mercury, #HUD #markers #marker_neptune, #HUD #markers #marker_uranus, #HUD #markers #marker_venus {
    position: absolute;
    margin: -5vw 0 0 -5vw;
}

#HUD #markers .frame {
    position: absolute;
    z-index: -1;
    left: 5vw;
    top: 100%;
    width: 4px;
    height: 1.5vw;
    margin-left: -2px;
    background-color: white;
    border: 1px solid black;
}